Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003019 [JEDI VCL] 00 JVCL Components minor always 2005-06-04 17:01 2005-06-12 07:16
Reporter anonymous View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003019: TJvMenus SubmenuImages property of TMenuItem is ignored
Description The painters do not take account of the SubmenuImages property of TMenuItem. Is this by design?
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007421)
obones (administrator)
2005-06-11 03:01

Yes. I'll investigate if it is possible to take it into account.
(0007422)
obones (administrator)
2005-06-11 03:13

This is now in CVS, the demo has been updated as well.
(0007428)
anonymous (viewer)
2005-06-11 21:09

This fix uses the SubmenuImages only for the imediate children. Notice the VCL handling below:

function TMenuItem.GetImageList: TCustomImageList;
var
  LItem: TMenuItem;
  LMenu: TMenu;
begin
  Result := nil;
  LItem := Parent;
  while (LItem <> nil) and (LItem.SubMenuImages = nil) do
    LItem := LItem.Parent;
  if LItem <> nil then
    Result := LItem.SubMenuImages
  else
  begin
    LMenu := GetParentMenu;
    if LMenu <> nil then
      Result := LMenu.Images;
  end;
end;
(0007433)
obones (administrator)
2005-06-12 07:16

CVS version now has a similar solution

- Issue History
Date Modified Username Field Change
2005-06-04 17:01 anonymous New Issue
2005-06-11 03:01 obones Note Added: 0007421
2005-06-11 03:05 obones Status new => acknowledged
2005-06-11 03:13 obones Status acknowledged => resolved
2005-06-11 03:13 obones Resolution open => fixed
2005-06-11 03:13 obones Assigned To => obones
2005-06-11 03:13 obones Note Added: 0007422
2005-06-11 21:09 anonymous Status resolved => feedback
2005-06-11 21:09 anonymous Resolution fixed => reopened
2005-06-11 21:09 anonymous Note Added: 0007428
2005-06-12 07:16 obones Status feedback => resolved
2005-06-12 07:16 obones Resolution reopened => fixed
2005-06-12 07:16 obones Note Added: 0007433


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker